| Home | Libraries | People | FAQ | More

##### qend()

Returns a query iterator pointing at the end of the query range.

###### Description

This method returns an iterator which may be used to check if the query has ended.

###### Synopsis

    const_query_iterator qend()

###### Modifier(s)

    const

###### Returns

The iterator pointing at the end of the query range.

###### Example

    for ( Rtree::const_query_iterator it = tree.qbegin(bgi::nearest(pt, 10000)) ;
          it != tree.qend() ; ++it )
    {
        // do something with value
        if ( has_enough_nearest_values() )
            break;
    }

    // C++11 (auto)
    for ( auto it = tree.qbegin(bgi::nearest(pt, 3)) ; it != tree.qend() ; ++it )
    {
        // do something with value
    }

    // C++14 (generic lambda expression)
    std::for_each(tree.qbegin(bgi::nearest(pt, 3)), tree.qend(), [](auto const& val){
        // do something with value
    });

###### Iterator category

ForwardIterator

###### Throws

Nothing

| Warning
The modification of the rtree may invalidate the iterators.